namespace WebApplication1.DAL
{
    using System;
    using System.Collections.Generic;
    using System.ComponentModel.DataAnnotations;
    using System.ComponentModel.DataAnnotations.Schema;
    using System.Data.Entity.Spatial;

    [Table("operacionesGas.InformeDiarioGasDetalles")]
    public partial class InformeDiarioGasDetalles
    {
        [DatabaseGenerated(DatabaseGeneratedOption.None)]
        public int ID { get; set; }

        [StringLength(20)]
        public string NumeroOrden { get; set; }

        [StringLength(50)]
        public string Zona { get; set; }

        [StringLength(2)]
        public string Division { get; set; }

        [StringLength(50)]
        public string GrupoMercado { get; set; }

        [StringLength(50)]
        public string MotivoNC { get; set; }

        [StringLength(50)]
        public string CodigoNC { get; set; }

        [StringLength(50)]
        public string ClasificacionNC { get; set; }

        [StringLength(50)]
        public string ClasificacionNCDel { get; set; }

        [StringLength(30)]
        public string ClasificacionNCInformeDiario { get; set; }

        public int? NumeroVisitas { get; set; }

        public bool? FinalizadaBAP { get; set; }

        public bool? InicioEjecDiaAsig { get; set; }

        [Column(TypeName = "date")]
        public DateTime? FechaAux { get; set; }

        [Column(TypeName = "date")]
        public DateTime? FechaTransicionSiguienteEstado { get; set; }

        [Column(TypeName = "date")]
        public DateTime? FechaPrimeraVisita { get; set; }

        public int? DiasLabPrimVisita { get; set; }

        public int? DiasLabPrimVisitaHastaFinalizada { get; set; }

        public int? DescartadaLean { get; set; }

        [Column(TypeName = "date")]
        public DateTime? FechaRetorno { get; set; }

        [StringLength(20)]
        public string IniEjecAdelantoFC { get; set; }

        [StringLength(20)]
        public string IniEjecAdelantoFCA { get; set; }

        [StringLength(20)]
        public string IniEjecRetrasoFC { get; set; }

        [StringLength(20)]
        public string IniEjecRetrasoFCA { get; set; }

        [StringLength(20)]
        public string FinEjecAdelantoFC { get; set; }

        [StringLength(20)]
        public string FinEjecAdelantoFCA { get; set; }

        [StringLength(20)]
        public string FinEjecRetrasoFC { get; set; }

        [StringLength(20)]
        public string FinEjecRetrasoFCA { get; set; }

        public bool? InicioEjecucionDentroFC { get; set; }

        public bool? FinEjecucionDentroFC { get; set; }

        public bool? FinEjecDiaAsig { get; set; }

        public bool? FinalizadasEseDia { get; set; }

        [StringLength(20)]
        public string DuracionEjecMinutos { get; set; }

        public int? TiempoConcertacion { get; set; }

        public int? TiempoAsignacion { get; set; }

        public int? TiempoFinalizacion { get; set; }

        [StringLength(5)]
        public string Tipologia { get; set; }

        [StringLength(10)]
        public string DuracionPrevista { get; set; }

        [StringLength(150)]
        public string NombreProyecto { get; set; }

        [StringLength(2)]
        public string CodigoDivisionZona { get; set; }

        [StringLength(30)]
        public string Poliza { get; set; }

        public int? Prioridad { get; set; }

        [Column(TypeName = "date")]
        public DateTime? FechaCreacionOrdenMovilidad { get; set; }

        [Column(TypeName = "date")]
        public DateTime? FechaInicioConcertacion { get; set; }

        [Column(TypeName = "date")]
        public DateTime? FechaFinConcertacion { get; set; }

        [Column(TypeName = "date")]
        public DateTime? FechaInicioPrimeraConcertacion { get; set; }

        [Column(TypeName = "date")]
        public DateTime? FechaFinPrimeraConcertacion { get; set; }

        [Column(TypeName = "date")]
        public DateTime? FechaInicioAsignacion { get; set; }

        [Column(TypeName = "date")]
        public DateTime? FechaFinAsignacion { get; set; }

        [Column(TypeName = "date")]
        public DateTime? FechaInicioPrimeraAsignacion { get; set; }

        [Column(TypeName = "date")]
        public DateTime? FechaPrimeraAsignacion { get; set; }

        [Column(TypeName = "date")]
        public DateTime? FechaUltimaAsignacion { get; set; }

        [Column(TypeName = "date")]
        public DateTime? FechaPrimeraConcertacion { get; set; }

        [Column(TypeName = "date")]
        public DateTime? FechaUltimaConcertacion { get; set; }

        [Column(TypeName = "date")]
        public DateTime? FechaUltimaAusente { get; set; }

        [Column(TypeName = "date")]
        public DateTime? FechaUltimaAnomalia { get; set; }

        [Column(TypeName = "date")]
        public DateTime? FechaUltimoPendiente { get; set; }

        [Column(TypeName = "date")]
        public DateTime? FechaCreacionConformidad { get; set; }

        [StringLength(20)]
        public string ResultadoVisitaAnterior { get; set; }

        [StringLength(20)]
        public string ResultadoPrimeraVisita { get; set; }

        public int? NumVisitas { get; set; }

        [Column(TypeName = "date")]
        public DateTime? HoraResultadoIntervencion { get; set; }

        public int? NumIntentosConcertacion { get; set; }

        [StringLength(15)]
        public string CodigoPostal { get; set; }

        [StringLength(15)]
        public string CodigoMunicipio { get; set; }

        [StringLength(50)]
        public string Poblacion { get; set; }

        [StringLength(200)]
        public string Direccion { get; set; }

        [StringLength(100)]
        public string Cliente { get; set; }

        [StringLength(20)]
        public string TelefonoFijoCliente { get; set; }

        [StringLength(20)]
        public string TelefonoMovilCliente { get; set; }

        [StringLength(20)]
        public string TelefonoContacto { get; set; }

        [StringLength(20)]
        public string TelefonoFijoFacilitado { get; set; }

        [StringLength(20)]
        public string TelefonoMovilFacilitado { get; set; }

        [StringLength(20)]
        public string TelefonoFijoInstalador { get; set; }

        [StringLength(20)]
        public string TelefonoMovilInstalador { get; set; }

        [StringLength(60)]
        public string Instalador { get; set; }

        [StringLength(50)]
        public string CorreoInstalador { get; set; }

        [StringLength(50)]
        public string Anomalia1 { get; set; }

        [StringLength(50)]
        public string Anomalia2 { get; set; }

        [StringLength(50)]
        public string Anomalia3 { get; set; }

        public bool? Aceptada { get; set; }

        [StringLength(100)]
        public string MotivoDesconcertacion { get; set; }

        [StringLength(10)]
        public string DuracionIntervencion { get; set; }

        [StringLength(25)]
        public string CoordenadaXOrden { get; set; }

        [StringLength(25)]
        public string CoordenadaYOrden { get; set; }

        [StringLength(25)]
        public string CoordenadaXFirma { get; set; }

        [StringLength(25)]
        public string CoordenadaYFirma { get; set; }

        [Column(TypeName = "date")]
        public DateTime? FechaCoordenadasFirma { get; set; }

        [StringLength(70)]
        public string Delegacion { get; set; }

        [StringLength(10)]
        public string CodigoUnidadEjecutora { get; set; }

        [StringLength(30)]
        public string UnidadEjecutora { get; set; }

        [StringLength(350)]
        public string MensajeErrorIntegracion { get; set; }

        [Column(TypeName = "date")]
        public DateTime? FechaIntentoConcertacion { get; set; }

        [StringLength(100)]
        public string MotivoNoConcertacion { get; set; }

        [Column(TypeName = "date")]
        public DateTime? FechaAceptacion { get; set; }

        [Column(TypeName = "date")]
        public DateTime? FechaUltimaAceptacion { get; set; }

        [Column(TypeName = "date")]
        public DateTime? FechaUltimoRechazo { get; set; }

        public int? NumeroAusentes { get; set; }

        [StringLength(5)]
        public string Tarifa { get; set; }

        [Column(TypeName = "date")]
        public DateTime? FechaInspeccion { get; set; }

        [StringLength(10)]
        public string Origen { get; set; }

        [StringLength(3)]
        public string CodigoConexion { get; set; }

        [StringLength(300)]
        public string MotivoErrorPlataformaFirma { get; set; }

        [StringLength(30)]
        public string AccesibilidadAbonadoGrado { get; set; }

        [StringLength(30)]
        public string AccesibilidadAbonadoLLave { get; set; }

        [StringLength(50)]
        public string ContadorPrevistoMarca { get; set; }

        [StringLength(50)]
        public string ContadorPrevistoTipo { get; set; }

        [StringLength(50)]
        public string ContadorPrevistoTipoZeus { get; set; }

        [StringLength(50)]
        public string ContadorPrevistoModeloZeus { get; set; }

        [StringLength(20)]
        public string ContadorPrevistoNumero { get; set; }

        public int? ContadorPrevistoLectura { get; set; }

        [StringLength(50)]
        public string ContadorRealMarca { get; set; }

        [StringLength(50)]
        public string ContadorRealTipo { get; set; }

        [StringLength(50)]
        public string ContadorRealTipoZeus { get; set; }

        [StringLength(50)]
        public string ContadorRealModeloZeus { get; set; }

        [StringLength(20)]
        public string ContadorRealNumero { get; set; }

        public int? ContadorRealLectura { get; set; }

        [StringLength(50)]
        public string ContadorRetiradoMarca { get; set; }

        [StringLength(50)]
        public string ContadorRetiradoTipo { get; set; }

        [StringLength(50)]
        public string ContadorRetiradoTipoZeus { get; set; }

        [StringLength(50)]
        public string ContadorRetiradoModeloZeus { get; set; }

        [StringLength(20)]
        public string ContadorRetiradoNumero { get; set; }

        public int? ContadorRetiradoLectura { get; set; }

        [StringLength(50)]
        public string ContadorColocadoMarca { get; set; }

        [StringLength(50)]
        public string ContadorColocadoTipo { get; set; }

        [StringLength(50)]
        public string ContadorColocadoTipoZeus { get; set; }

        [StringLength(50)]
        public string ContadorColocadoModeloZeus { get; set; }

        [StringLength(20)]
        public string ContadorColocadoNumero { get; set; }

        public int? ContadorColocadoLectura { get; set; }

        [StringLength(150)]
        public string MotivoNoConcertacionOBS { get; set; }

        public int? PresionContajeRegulador { get; set; }

        public int? PresionContajeContadorNorm { get; set; }

        public int? PresionContajeContadorMod { get; set; }

        [StringLength(10)]
        public string IndPuestaMarchaArmario { get; set; }

        [StringLength(10)]
        public string IndColocacionContador { get; set; }

        [StringLength(10)]
        public string IndEspirometalico { get; set; }

        [StringLength(10)]
        public string IndSuplementoAdecuacion { get; set; }

        [StringLength(10)]
        public string IndKitCocina { get; set; }

        [StringLength(10)]
        public string IndKitCalentadorCaldera { get; set; }

        [StringLength(100)]
        public string Comercializadora { get; set; }
    }
}
